<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_InsuranceRequiredFields StructType
 * @subpackage Structs
 */
class JP_InsuranceRequiredFields extends AbstractStructBase
{
    /**
     * The InsuranceBooking
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_InsuranceBooking
     */
    public $InsuranceBooking;
    /**
     * Constructor method for JP_InsuranceRequiredFields
     * @uses JP_InsuranceRequiredFields::setInsuranceBooking()
     * @param \StructType\JP_InsuranceBooking $insuranceBooking
     */
    public function __construct(\StructType\JP_InsuranceBooking $insuranceBooking = null)
    {
        $this
            ->setInsuranceBooking($insuranceBooking);
    }
    /**
     * Get InsuranceBooking value
     * @return \StructType\JP_InsuranceBooking|null
     */
    public function getInsuranceBooking()
    {
        return $this->InsuranceBooking;
    }
    /**
     * Set InsuranceBooking value
     * @param \StructType\JP_InsuranceBooking $insuranceBooking
     * @return \StructType\JP_InsuranceRequiredFields
     */
    public function setInsuranceBooking(\StructType\JP_InsuranceBooking $insuranceBooking = null)
    {
        $this->InsuranceBooking = $insuranceBooking;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_InsuranceRequiredFields
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
